# $Revision: 1.40 $, $Date: 2002/09/09 15:48:57 $
%define		snap	20020409
Summary:	OpenJade -- DSSSL parser
Summary(pl):	OpenJade -- parser DSSSL
Name:		openjade
Version:	1.4
Release:	13.%{snap}
License:	Free (Copyright (C) 1999 The OpenJade group)
Group:		Applications/Publishing/SGML
Source0:	%{name}-%{snap}.tar.gz
Patch0:		%{name}-table.patch
Patch1:		%{name}-ac25x.patch
Patch2:		%{name}-types.patch
URL:		http://openjade.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gettext-devel
BuildRequires:	opensp-devel >= 1.5pre5
BuildRequires:	perl
Provides:	jade
Provides:	dssslparser
Requires:	sgmlparser
Requires:	opensp >= 1.5pre5
Prereq:		sgml-common
Prereq:		/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	jade

%description
Jade (James' DSSSL Engine) is an implementation of the DSSSL style
language. OpenJade is successor of Jade.

%description -l pl
Jade (James' DSSSL Engine) jest implementacj parsera DSSSL. OpenJade
jest nastpc Jade.

%package devel
Summary:	OpenJade header files
Summary(pl):	Pliki nagwkowe do bibliotek OpenJade
Group:		Development/Libraries
Prereq:		/sbin/ldconfig
Requires:	%{name} = %{version}

%description devel
Openjade header files.

%description devel -l pl
Pliki nagwkowe do bibliotek OpenJade.

%package static
Summary:	OpenJade static libraries
Summary(pl):	Biblioteki statyczne OpenJade
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
OpenJade static libraries.

%description static -l pl
Biblioteki statyczne OpenJade.

%prep
%setup -q -n %{name}-%{snap}
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
#remove CVS dirs
find . -type d -name CVS | xargs rm -rf
#missing files required by Makefile.am
touch ChangeLog
%{__gettextize}
%{__libtoolize}
aclocal
echo "#undef SIZEOF_WCHAR_T" >> acconfig.h
autoheader
%{__automake}
#aclocal
%{__autoconf}
%ifarch alpha
CXXFLAGS="-O0 %{?debug:-g}"
%endif
%configure \
	--enable-default-catalog=/etc/sgml/catalog \
	--enable-default-search-path=/usr/share/sgml

# it has /usr/share/Openjade hardcoded somewhere so it does not work
	# --datadir=%{_datadir}/sgml

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/sgml

%{__make} install DESTDIR=$RPM_BUILD_ROOT

cp -a unicode $RPM_BUILD_ROOT%{_datadir}/sgml
ln -sf "../OpenJade" $RPM_BUILD_ROOT%{_datadir}/sgml/%{name}-%{version}

##ln -s "../OpenJade" $RPM_BUILD_ROOT%{_datadir}/sgml/%{name}
#install dsssl/catalog \
#	dsssl/builtins.dsl dsssl/extensions.dsl \
#	dsssl/dsssl.dtd dsssl/fot.dtd dsssl/spec.dtd dsssl/style-sheet.dtd \
#	$RPM_BUILD_ROOT%{_datadir}/sgml/%{name}-%{version}/
#grep -v SYSTEM $RPM_BUILD_ROOT%{_datadir}/sgml/%{name}/catalog > \
#	$RPM_BUILD_ROOT%{_datadir}/sgml/%{name}/%{name}.cat


# simulate jade
ln -sf openjade $RPM_BUILD_ROOT%{_bindir}/jade

%find_lang OpenJade

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/usr/bin/install-catalog --add /etc/sgml/dsssl-%{version}-%{release}.cat \
	%{_datadir}/sgml/%{name}-%{version}/catalog
/usr/bin/install-catalog --add /etc/sgml/jade-unicode-%{version}-%{release}.cat \
	%{_datadir}/sgml/unicode/catalog

%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
	/usr/bin/install-catalog --remove /etc/sgml/dsssl-%{version}.cat \
		%{_datadir}/sgml/%{name}-%{version}/catalog
	/usr/bin/install-catalog --remove /etc/sgml/jade-unicode-%{version}-%{release}.cat \
		%{_datadir}/sgml/unicode/catalog
fi

%files -f OpenJade.lang
%defattr(644,root,root,755)
%doc jadedoc/ dsssl/ README COPYING
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_datadir}/sgml/*
%{_datadir}/OpenJade

%files devel
%defattr(644,root,root,755)
%{_includedir}/OpenJade
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la

%files static
%defattr(644,root,root,755)
%attr(644,root,root) %{_libdir}/lib*.a

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team
All persons listed below can be reached at @pld.org.pl

$Log: openjade.spec,v $
Revision 1.40  2002/09/09 15:48:57  krzak
typo in %postun s/the/then/

Revision 1.39  2002/08/20 08:25:03  kloczek
- release 12,
- fixed bug: unregister openjade catalog files only on remove package,
- use new %doc.

Revision 1.38  2002/08/19 14:42:42  qboosh
- types patch: fix stupid assumptions about types size; release 11.snap

Revision 1.37  2002/06/05 16:11:43  qboosh
- fixed removing of CVS dirs

Revision 1.36  2002/05/28 09:00:06  wiget
release 10.%%{snap}

Revision 1.35  2002/05/28 08:59:37  wiget
fix registration in centalized SGML SuperCatalog
removed CVS dirs from %%files
set snap version in one place (in other words use macros, dude)
register unicode.cat in SGML SuperCatalog

Revision 1.34  2002/05/21 23:14:18  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.33  2002/05/02 19:12:10  qboosh
- automake -a -c -f --foreign - don't change license information in COPYING!!!

Revision 1.32  2002/04/11 19:21:28  kloczek
- reelase 9.<snap> (rebuild for correct dependences on all archs).

Revision 1.31  2002/04/10 19:50:03  qboosh
- removed obsolete DESTDIR patch, use -g if debug on alpha
  (is -O0 workaround still needed?)
- added ac25x needed for autoconf 2.53

Revision 1.30  2002/04/09 21:27:42  mkierus
- fixed BuildRequires and Requires

Revision 1.29  2002/04/09 21:11:49  mkierus
- latest, working snapshot; previous didn't generate pdfs, ps, etc.; version with tag debian_version_1_4devel1-5

Revision 1.28  2002/03/27 11:39:42  roman
s/(c)/(C) in License

Revision 1.27  2002/03/27 11:32:19  roman
- License: Free (Copyright (c) 1999 The OpenJade group)

Revision 1.26  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.25  2002/02/23 04:17:25  kloczek
- adapterized.

Revision 1.24  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/18 20:12:15  qboosh
- standarized changelog preample
- Prereq: ldcofig, sgml-common (not Requires - because of install-sgml-catalog)
- release 8.20000320

Revision 1.22  2001/12/06 14:05:18  kloczek
- changed release to 6.<snap>.

Revision 1.21  2001/11/23 12:31:21  qboosh
- changed Copyright to License

Revision 1.20  2001/09/26 12:50:24  qboosh
- adapterized, BuildRequires: autoconf, automake

Revision 1.19  2001/07/13 16:28:02  qboosh
- ac 2.50 compatibility fixes
- release 6.20000320

Revision 1.18  2001/02/15 23:37:18  kloczek
- added "libtoolize --copy --force" on top %build and added libtool to
  BuildRequires.

Revision 1.17  2001/02/15 20:24:49  kloczek
- added /sbin/ldconfig to Prereq for devel.

Revision 1.16  2001/02/15 14:20:41  klakier
- rel 5.20000320

Revision 1.15  2001/02/12 22:50:45  klakier
- Massive changes inspired by LSB (http://www.linuxbase.org)
  and RH and MDK packages

Revision 1.14  2000/11/08 11:56:36  kloczek
- release 4.20000320: use new rpm automation.

Revision 1.13  2000/08/24 23:16:04  baggins
- build with -O0 on alpha

Revision 1.12  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/06/08 13:21:33  klakier
- improved catalog registration

Revision 1.10  2000/04/19 14:38:17  kloczek
- release 2.20000320,
- added "Provides: jade",
- added symlink jade to openjade binary.

Revision 1.9  2000/04/13 22:59:04  klakier
- removed "-fno-exceptions" - dumps core at any simple stylesheet or
  document error ;-/
- release 1.20000320

Revision 1.8  2000/04/09 10:13:26  klakier
- requires opensp-1.4-2

Revision 1.7  2000/04/04 19:58:29  kloczek
- changed to version 1.4, release 0.20000320 (using Epoch in this situation
  is not necessary),
- compile C++ code with -fno-exceptions,
- added static subpackage,
- added stripping shared libraries,
- removed SONAME symlinks from main package,
- added using %%find_lang macro for finding i18n depends .mo files.

Revision 1.6  2000/04/04 17:19:33  klakier
- added revision field

Revision 1.5  2000/04/01 11:15:11  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.3  2000/03/27 13:47:56  klakier
- rewriten spec (OpenSP is now distributed separately)
- upgraded to cvs snapshot
- uses fix-sgml-catalog

Revision 1.2  1999/12/05 17:58:56  waszi
fixed Source

Revision 1.1  1999/12/05 11:06:27  klakier
Slightly modified spec contributed by Ziemek Borowski

* Mon Nov 16 1999 Ziemek Borowski <ziembor@faq-bot.ziembor.waw.pl>
[1.3PEN]
- migrating to OpenJade
- merging SP and Jade (currently its has common sources and CVS)
  (:pserver:cvs@peano.mathematik.uni-freiburg.com:/jadecvs)

* Mon May  3 1999 Ziemek Borowski <ziembor@faq-bot.ziembor.waw.pl>
[1.2.1-1_1.3.2]
- rename sx to sgml2xml (conflict in namespace witch lrsz)
- comment SGML Declaration in UNICODE from default catalog
(it`s broke most of modern DTD).

* Thu Oct 26 1998 Ziemek Borowski <ziembor@faq-bot.ziembor.waw.pl>
[1.2.1-1]
- upgrade to 1.2.1 (with dynamic libraries -- changes in %files part)
- corrects to *.cat files (not dynamicaly generated).
- (I`m not sure if we ought to include *.la files -- not included).
- added --enable-mif (but it does`t working ;-(
- some cosmetic changes in spec: (new group, new prereq)
- simplifications in %post{un}

* Thu Sep 26 1998 Ziemek Borowski <ziembor@faq-bot.ziembor.waw.pl>
[1_2-4]
- updated new version
- added  -Dsig_atomic_t=int to make (against glibc-2.x --
required in glibc-2.0.93 but its help in 2.0.7 too)

* Thu Sep 10 1998 Wojtek Slusarczyk <wojtek@SHADOW.EU.ORG>
[1_1_1-3]
- patch against glibc 2.0.93  (quick & dirty)   (not nessessary in 1_2)

* Mon Sep 07 1998 Ziemek Borowski <ziembor@faq-bot.ziembor.waw.pl>
[1_1_1-2]
- added Polish .spec tranlation
- more detailed .spec
- separated to: jade, and sp  packages
- based od Mark Gallasi works ftp://ftp.cygnus.com/pub/home/rozalia/docware
